textures/orbitaldecay/ut4_freighter/fog64
{
	fogParms ( 0.8 0.8 0.8 ) 64

	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.4
}

textures/orbitaldecay/ut4_freighter/rlamp
{
    q3map_lightimage textures/orbitaldecay/ut4_freighter/solidred.tga
    qer_editorimage textures/orbitaldecay/ut4_freighter/solidred.tga
	surfaceparm nomarks
    surfaceparm trans
	q3map_surfacelight 24000

	{
		map textures/orbitaldecay/ut4_freighter/solidred.tga
		rgbGen identity
	}
}

textures/orbitaldecay/ut4_freighter/railing1
{
    qer_editorimage textures/orbitaldecay/ut4_freighter/railing.tga
    surfaceparm playerclip
    cull none
    noMipMaps
    polygonOffset
    sort 6

    {
        map textures/orbitaldecay/ut4_freighter/railing.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/orbitaldecay/ut4_freighter/dpanel01
{
    qer_editorimage textures/orbitaldecay/ut4_freighter/panel01.jpg
    surfaceparm playerclip
    polygonOffset
    sort 6
    {
        map textures/orbitaldecay/ut4_freighter/panel01.jpg
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
        depthWrite
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/orbitaldecay/ut4_freighter/dstrip01
{
    qer_editorimage textures/orbitaldecay/ut4_freighter/metalstrip.jpg
    surfaceparm playerclip
    polygonOffset
    sort 6
    {
        map textures/orbitaldecay/ut4_freighter/metalstrip.jpg
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
        depthWrite
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/orbitaldecay/ut4_freighter/vent01
{
    qer_editorimage textures/orbitaldecay/ut4_freighter/vent.jpg
    surfaceparm playerclip
    polygonOffset
    sort 6
    {
        map textures/orbitaldecay/ut4_freighter/vent.jpg
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
        depthWrite
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/orbitaldecay/ut4_freighter/porthole1
{
    qer_editorimage textures/orbitaldecay/ut4_freighter/porthole.tga
    surfaceparm playerclip
    cull none
    polygonOffset
    sort 6
    {
        map textures/orbitaldecay/ut4_freighter/porthole.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
        depthWrite
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/orbitaldecay/ut4_freighter/ladder
{
    qer_editorimage textures/orbitaldecay/ut4_freighter/threadplate1
    surfaceparm ladder
    {
        map textures/orbitaldecay/ut4_freighter/threadplate1
        rgbGen identity
    }

    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/orbitaldecay/ut4_freighter/ocean_skybox
{
    q3map_lightimage textures/orbitaldecay/ut4_freighter/nightocean_up.jpg
	qer_editorimage textures/orbitaldecay/ut4_freighter/nightocean_bk.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 1 500 270 0
	q3map_sun 1 1 1 500 180 0
	q3map_sun 1 1 1 500 0   0
	q3map_sun 1 1 1 500 90  0

	q3map_surfaceLight 500

	skyparms textures/orbitaldecay/ut4_freighter/nightocean - -
}

textures/orbitaldecay/ut4_freighter/lamp
{
    q3map_lightimage textures/orbitaldecay/ut4_freighter/white.jpg
    qer_editorimage textures/orbitaldecay/ut4_freighter/white.jpg
	surfaceparm nomarks
    surfaceparm trans
	q3map_surfacelight 22500

	{
		map textures/orbitaldecay/ut4_freighter/white.jpg
		rgbGen identity
	}
}

textures/orbitaldecay/ut4_freighter/glass
{
	surfaceparm nolightmap
    surfaceparm playerclip
    surfaceparm nomarks
	cull twosided
	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
    }
}

textures/orbitaldecay/ut4_freighter/camera1
{
	qer_editorimage textures/orbitaldecay/ut4_freighter/metal1
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/orbitaldecay/ut4_freighter/metal1
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}
